FROM  eicweb.phy.anl.gov:4567/whit/epics_css_image/alarm_server:latest

LABEL maintainer="Whitney Armstrong <warmstrong@anl.gov>" \
      name="css phoebus from git head" \
      group="epics" \
      march="native" \
      basedist="ubuntu" \
      base="ubuntu"

RUN  cd /opt \
      && apt-get install -y software-properties-common \
      && echo "oracle-java8-installer shared/accepted-oracle-license-v1-1 select true" | debconf-set-selections \
      && add-apt-repository -y ppa:webupd8team/java \
      && apt update \
      && apt-get install -y oracle-java8-installer \
      && apt-get install -y oracle-java8-set-default  \
      && echo "JAVA_HOME=/usr/lib/jvm/java-8-oracle\nJRE_HOME=/usr/lib/jvm/java-8-oracle/jre" >> /etc/environment

#RUN cd /opt/css \
#      && wget https://controlssoftware.sns.ornl.gov/css_rcp/nightly/basic-epics-4.5.0-linux.gtk.x86_64.zip  \
#      && unzip basic-epics-4.5.0-linux.gtk.x86_64.zip \
#      && rm    basic-epics-4.5.0-linux.gtk.x86_64.zip

#ADD systemd/*    /etc/systemd/system/
#RUN apt-get install -y systemd-container

##CMD ["-c" ]
#ENTRYPOINT ["/bin/bash"]

